Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class REVIEW

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.REVIEW

    public class REVIEW

extends Vocabulary

Vocabulary definitions from vocabularies/review.rdf

Field Summary
`org.openrdf.model.URI` | `Comment` A comment on a review.
`org.openrdf.model.URI` | `commenter` The commenter on the review.
`org.openrdf.model.URI` | `Feedback` Feedback on the review.
`org.openrdf.model.URI` | `hasComment` Used to associate a review with a comment on the review.
`org.openrdf.model.URI` | `hasFeedback` Associates a review with a feedback on the review.
`org.openrdf.model.URI` | `hasReview` Associates a work with a a review.
`org.openrdf.model.URI` | `maxRating` A numeric value.
`org.openrdf.model.URI` | `minRating` A numeric value.
`org.openrdf.model.URI` | `NAMESPACE` The namespace of the vocabulary as a URI.
`static String` | `NS` The namespace of the vocabulary as a string.
`org.openrdf.model.URI` | `positiveVotes` Number of positive usefulness votes (integer).
`org.openrdf.model.URI` | `rating` A numeric value.
`org.openrdf.model.URI` | `Review` A review of an work.
`org.openrdf.model.URI` | `reviewer` The person that has written the review.
`org.openrdf.model.URI` | `text` The text of the review.
`org.openrdf.model.URI` | `title` The title of the review.
`org.openrdf.model.URI` | `totalVotes` Number of usefulness votes (integer).
`org.openrdf.model.URI` | `type` The type of media of a work under review.

Method Summary
`static REVIEW` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string.

  See Also:
    Constant Field Values

### NAMESPACE

    public final org.openrdf.model.URI NAMESPACE

  The namespace of the vocabulary as a URI.

### commenter

    public final org.openrdf.model.URI commenter

  The commenter on the review.

### hasComment

    public final org.openrdf.model.URI hasComment

  Used to associate a review with a comment on the review.

### hasFeedback

    public final org.openrdf.model.URI hasFeedback

  Associates a review with a feedback on the review.

### hasReview

    public final org.openrdf.model.URI hasReview

  Associates a work with a a review.

### maxRating

    public final org.openrdf.model.URI maxRating

  A numeric value.

### minRating

    public final org.openrdf.model.URI minRating

  A numeric value.

### positiveVotes

    public final org.openrdf.model.URI positiveVotes

  Number of positive usefulness votes (integer).

### rating

    public final org.openrdf.model.URI rating

  A numeric value.

### reviewer

    public final org.openrdf.model.URI reviewer

  The person that has written the review.

### text

    public final org.openrdf.model.URI text

  The text of the review.

### title

    public final org.openrdf.model.URI title

  The title of the review.

### totalVotes

    public final org.openrdf.model.URI totalVotes

  Number of usefulness votes (integer).

### type

    public final org.openrdf.model.URI type

  The type of media of a work under review.

### Comment

    public final org.openrdf.model.URI Comment

  A comment on a review.

### Feedback

    public final org.openrdf.model.URI Feedback

  Feedback on the review. Expresses whether the review was useful or not.

### Review

    public final org.openrdf.model.URI Review

  A review of an work.

Method Detail

### getInstance

    public static REVIEW getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.